{
	saved_FirstTime[0]
	
	Init[ ()
	{
		if(saved_FirstTime=0)
		{
			saved_FirstTime=1;
			SetNationality(0);
			GiveWeapon(56,20);
			
			PlayAnimation(7);  // this plays the idle stand
			SetCrouching();
		}
	}]
	
	DelayReached[ (which)
	{
		if( which = 5 )
		{
			GoWalking( 28032, 4800 );
		}
	}]
	
	ReachedDestination[ (where)
	{
		if( where = 5 )
		{
			PlayAnimation(7);
		}
	}]
	
	PathNodeReached[ (path,node)
	{
		if( (path=0) and (node=5) )
		{
			PlayAnimation(7);
		}
	}]
	
	GoWalking[ (xPos, yPos)
	{
		PlayAnimation(1);
		WalkTo( xPos, yPos, 5, 1 );
	}]
	
	GoPath[ (path, mode)
	{
		if( mode = 0 )
		{
			// this is the run
			SetRunning();
			PlayAnimation(0);
		}
		if( mode = 1 )
		{
			// this is walking
			SetWalking();
			PlayAnimation(1);
		}
		FollowPath( path );
	}]
}